Package org.apache.felix.http.base.internal.registry

# Class ErrorPageRegistry.ErrorRegistration

java.lang.Object
org.apache.felix.http.base.internal.registry.ErrorPageRegistry.ErrorRegistration

Enclosing class:
  ErrorPageRegistry

public static final class ErrorPageRegistry.ErrorRegistration extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`final long[]`
`errorCodes`
`final String[]`
`exceptions`

## Constructor Summary

Constructors
Constructor
Description
`ErrorRegistration(long[] errorCodes, String[] exceptions)`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### errorCodes

public final long[] errorCodes

### exceptions

public final String[] exceptions

## Constructor Details

### ErrorRegistration

public ErrorRegistration(long[] errorCodes, String[] exceptions)